const path = require('path');
const express = require('express');
const app = express();
const port = 3000;

let bodyParser = require('body-parser');
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));

const server = require('http').Server(app);
const io = require('socket.io')(server);

app.use(express.static(path.join(__dirname, 'public')));
app.get('/', (req, res) => res.sendFile('index.html'));
app.get('/config', (req, res) => res.sendFile(path.join(__dirname, '/public/config.html')));

const cv = require('opencv4nodejs');
const wCap = new cv.VideoCapture(0);

function Menu() {
  this.target = [0, 128, 255];
  this.useHSV = false;
  this.tolerance = 10;
  this.minSV = 100;
  this.maxSV = 255;
};

let menu = new Menu();

app.all('/gui', function (req, res) {
  menu = req.body;
});

setInterval(() => {
  const frame = wCap.read();

  let coord = {
    x: 0,
    y: 0,
    z: 0,
  }
  let found = false;

  // TODO

  if(found)
    io.emit('coords', coord);

  const img = cv.imencode('.jpg', frame.rescale(0.5).flip(1)).toString('base64');
  io.emit('image', { image: true, buffer: img });

}, 60);

server.listen(port, () => console.log(`Example app listening on port ${port}!`));